Upstream information

CVE-2016-4971 at MITRE

Description

GNU wget before 1.18 allows remote servers to write to arbitrary files by redirecting a request from HTTP to a crafted FTP resource.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 4.3 6.8
Vector AV:N/AC:M/Au:N/C:N/I:P/A:N AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact None Partial
Integrity Impact Partial Partial
Availability Impact None Partial
CVSS v3 Scores
  National Vulnerability Database
Base Score 8.8
Vector AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H
Access Vector Network
Access Complexity Low
Privileges Required None
User Interaction Required
Scope Unchanged
Confidentiality Impact High
Integrity Impact High
Availability Impact High
SUSE Bugzilla entries: 1023231 [NEW], 984060 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12 SP1
  • wget >= 1.14-10.3
Patchnames:
SUSE-SLE-DESKTOP-12-SP1-2016-1309
SUSE Linux Enterprise Desktop 12 SP2
  • wget >= 1.14-10.3
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA wget
SUSE Linux Enterprise Desktop 12 SP3
  • wget >= 1.14-20.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA wget
SUSE Linux Enterprise Module for Basesystem 15
  • wget >= 1.19.5-1.8
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA wget
SUSE Linux Enterprise Point of Sale 11 SP3
  • wget >= 1.11.4-1.32.1
Patchnames:
sleposp3-wget-12757
SUSE Linux Enterprise Server 11 SP3-LTSS
  • wget >= 1.11.4-1.32.1
Patchnames:
slessp3-wget-12757
SUSE Linux Enterprise Server 11 SP4
  • wget >= 1.11.4-1.32.1
Patchnames:
slessp4-wget-12757
SUSE Linux Enterprise Server 11-SECURITY
  • wget-openssl1 >= 1.11.4-1.32.1
Patchnames:
secsp3-wget-12757
SUSE Linux Enterprise Server 12 SP1
  • wget >= 1.14-10.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1309
SUSE Linux Enterprise Server 12 SP2
  • wget >= 1.14-10.3
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA wget
SUSE Linux Enterprise Server 12 SP3
  • wget >= 1.14-20.1
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA wget
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • wget >= 1.14-10.3
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA wget
SUSE Linux Enterprise Server for SAP Applications 11 SP3-LTSS
  • wget >= 1.11.4-1.32.1
Patchnames:
slessp3-wget-12757
SUSE Linux Enterprise Server for SAP Applications 11 SP4
  • wget >= 1.11.4-1.32.1
Patchnames:
slessp4-wget-12757
SUSE Linux Enterprise Server for SAP Applications 11-SECURITY
  • wget-openssl1 >= 1.11.4-1.32.1
Patchnames:
secsp3-wget-12757
SUSE Linux Enterprise Server for SAP Applications 12 SP1
  • wget >= 1.14-10.3
Patchnames:
SUSE-SLE-SERVER-12-SP1-2016-1309
SUSE Manager 2.1
  • wget >= 1.11.4-1.32.1
Patchnames:
sleman21-wget-12757
SUSE Manager Proxy 2.1
  • wget >= 1.11.4-1.32.1
Patchnames:
slemap21-wget-12757
SUSE OpenStack Cloud 5
  • wget >= 1.11.4-1.32.1
Patchnames:
sleclo50sp3-wget-12757
openSUSE Leap 15.0
  • wget >= 1.19.5-lp150.1.1
Patchnames:
openSUSE Leap 15.0 GA wget
openSUSE Leap 42.1
  • wget >= 1.14-4.1
  • wget-debuginfo >= 1.14-4.1
  • wget-debugsource >= 1.14-4.1
Patchnames:
openSUSE-2016-1067
openSUSE Leap 42.2
  • wget >= 1.14-4.2
Patchnames:
openSUSE Leap 42.2 GA wget
openSUSE Leap 42.3
  • wget >= 1.14-10.3
Patchnames:
openSUSE Leap 42.3 GA wget
openSUSE Tumbleweed
  • wget >= 1.18-2.3
Patchnames:
openSUSE Tumbleweed GA wget


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 wget Released
SUSE Linux Enterprise Desktop 11 SP3 wget Affected
SUSE Linux Enterprise Desktop 11 SP4 wget Affected
SUSE Linux Enterprise Desktop 12 GA wget Released
SUSE Linux Enterprise Desktop 12 SP1 wget Released
SUSE Linux Enterprise Desktop 12 SP2 wget Released
SUSE Linux Enterprise Security Module 11.3 GA wget-openssl1 Released
SUSE Linux Enterprise Server 10 SP4 LTSS wget Released
SUSE Linux Enterprise Server 11 SP1 LTSS wget Released
SUSE Linux Enterprise Server 11 SP2 wget Released
SUSE Linux Enterprise Server 11 SP2 LTSS wget Released
SUSE Linux Enterprise Server 11 SP3 wget Affected
SUSE Linux Enterprise Server 11 SP3 LTSS wget Affected
SUSE Linux Enterprise Server 11 SP4 wget Affected
SUSE Linux Enterprise Server 12 GA wget Released
SUSE Linux Enterprise Server 12 GA LTSS wget Released
SUSE Linux Enterprise Server 12 SP1 wget Released
SUSE Linux Enterprise Server 12 SP2 wget Released
SUSE Linux Enterprise Server for SAP Applications 11 SP2 wget Released
SUSE Linux Enterprise Server for SAP Applications 11 SP3 wget Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 wget Released
SUSE Linux Enterprise Server for VMWare 11 SP3 wget Affected